包括 Google 代管的 Digital Credentials Provisioning API 服務。
服務:vgw.googleapis.com
探索文件
導覽文件是一種機器可解讀的規格,用於說明和使用 REST API。此文件用於建構用戶端程式庫、IDE 外掛程式,以及與 Google API 互動的其他工具。一項服務可能會提供多個探索文件。這項服務提供下列探索文件:
連線至這項服務
這項服務受到 mTLS 保護。完成這裡定義的新手上路程序後,即可開始連線至這項服務。
範例:
curl -X POST -H "Content-Type: application/json" -v --key private_key.key --tlsv1.2 --cert certificate.crt -d '{"requestMetadata": {"requestId": "8ae2aae4-0ece-11ed-861d-0242ac120002","version": {"major": 0,"minor": 1},"issuerId": "YOUR_ISSUER_ID"},"clientMessage": "hello"}' https://vgw.sandbox.google.com/be/mdl/canonical/YOUR_ISSUER_ID/v1/healthCheck服務端點
服務端點是指定 API 服務網路位址的基準網址。一項服務可能有多個服務端點。這項服務有以下服務端點,且下方的 URI 皆以此服務端點為基準:
- Prod:
https://vgw.googleapis.com - 沙箱:
https://vgw.sandbox.google.com
| 方法 | |
|---|---|
healthCheck |
POST /be/mdl/canonical/:issuerId/v1/healthCheck 用於測試連線問題的端點。 |
notifyCredentialStatusUpdateAvailable |
POST /be/mdl/canonical/:issuerId/v1/notifyCredentialStatusUpdateAvailable 端點:表示有新的狀態更新,可使用 GetCredentialStatus 擷取。 |
notifyProofingStatusUpdateAvailable |
POST /be/mdl/canonical/:issuerId/v1/notifyProofingStatusUpdateAvailable 這個端點表示有新的狀態更新,可使用 GetProofingStatus 擷取。 |